package org.example.webservice;

public class ClaimPortTypeProxy implements org.example.webservice.ClaimPortType {
  private boolean _useJNDI = true;
  private String _endpoint = null;
  private org.example.webservice.ClaimPortType __claimPortType = null;
  
  public ClaimPortTypeProxy() {
    _initClaimPortTypeProxy();
  }
  
  private void _initClaimPortTypeProxy() {
  
  if (_useJNDI) {
    try{
      javax.naming.InitialContext ctx = new javax.naming.InitialContext();
      __claimPortType = ((org.example.webservice.ClaimService)ctx.lookup("java:comp/env/service/ClaimService")).getClaimPort();
      }
    catch (javax.naming.NamingException namingException) {}
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (__claimPortType == null) {
    try{
      __claimPortType = (new org.example.webservice.ClaimServiceLocator()).getClaimPort();
      }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  if (__claimPortType != null) {
    if (_endpoint != null)
      ((javax.xml.rpc.Stub)__claimPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    else
      _endpoint = (String)((javax.xml.rpc.Stub)__claimPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
  }
  
}


public void useJNDI(boolean useJNDI) {
  _useJNDI = useJNDI;
  __claimPortType = null;
  
}

public String getEndpoint() {
  return _endpoint;
}

public void setEndpoint(String endpoint) {
  _endpoint = endpoint;
  if (__claimPortType != null)
    ((javax.xml.rpc.Stub)__claimPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
  
}

public org.example.webservice.ClaimPortType getClaimPortType() {
  if (__claimPortType == null)
    _initClaimPortTypeProxy();
  return __claimPortType;
}

public javax.xml.soap.SOAPElement processClaim(javax.xml.soap.SOAPElement claim) throws java.rmi.RemoteException{
  if (__claimPortType == null)
    _initClaimPortTypeProxy();
  return __claimPortType.processClaim(claim);
}


}